Subject: From: AIList Moderator Kenneth Laws <AIList-REQUEST%sri-ai.arpa@CSNET-RELAY>

From: [email-masked]
Date: Wed, 1 Jan 86 11:52:25 est

Received: from sri-ai.arpa by CSNET-RELAY.ARPA id a004805; 5 Dec 85 3:26 EST
Date: Wed  4 Dec 1985 23:30-PST
Reply-to: AIList%sri-ai.arpa@CSNET-RELAY
US-Mail: SRI Int., 333 Ravenswood Ave., Menlo Park, CA  94025
Phone: (415) 859-6467
Subject: AIList Digest   V3 #182
To: AIList%sri-ai.arpa@CSNET-RELAY
Received: from rand-relay by vpi; Thu, 5 Dec 85 07:05 EST

AIList Digest            Thursday, 5 Dec 1985     Volume 3 : Issue 182

Today's Topics:
  Queries - Knowledge Base Management System & Machine Learning &
    Subconscious Reasoning & Decision Theory & Natural Language &
    Distributed Computing using AppleTalk,
  AI Tools - Smalltalk & Object-Oriented Programming in Lisp,
  Expert Systems - Artificial Empathy,
  Programming Languages - Type Checking

----------------------------------------------------------------------

Date: Tue, 3 Dec 85 22:10:06 est
From: mex107@mitre (Michael Leavitt)
Subject: First use of phrase "knowledge base management system"

I'm trying to track down the first use of the phrase "knowledge base management
system" to refer to expert system shells like KEE and ART.  I've heard it in
oral presentations, but not seen it in writing.  Can anyone help?  Replies to
me please.  Many thanks.

Mike Leavitt <[email-masked]>

------------------------------

Date: Fri, 29 Nov 85 12:48 CDT
From: Joseph_Tatem <[email-masked]>
Subject: Query - paper on machine learning

In Artificial Intelligence #25, Kurt VanLehn, reviewing Machine
Learning, says "Carbonell's more recent papers report that further
implementation uncovered fundamental flaws in the design presented
[in Carbonell's chapter in Machine Learning]". Can anyone direct me
to these papers and/or give me an idea what theses flaws are??

                                        Thanx,
                                        Joe Tatem
                                        tatem.ti-eg@csnet-relay

------------------------------

Date: Fri, 29 Nov 85 11:46:44 GMT
From: [email-masked]
Subject: Subconscious Reasoning : Discovery and Invention

subconscious, adj. ``of our own mental activities of which we are
                     not aware'',
                n.  ``the part of the mind in which these
                     activities take place.''

                     The Oxford Paperback Dictionary.

What does  cognitive  science  have to  make of the discovery  of the
structure of the benzene molecule? It is said to have been the result
of  a chemist having a dream in which serpents  were biting their own
tails. He interpreted this when waking as  the long sought after ring
configuration  that  would make  sense of  the ratios of  hydrogen to
carbon atoms that had been discovered by experiment.

Gordon Joly
[email-masked]

[An even more impressive feat was the translation of Samuel Pepys'
diary, written in a code (actually an ancient shorthand, for which
the key was later found in his personal library) which had resisted
many cryptographic efforts.  The owner of the diary one night dreamt
a full page of cleartext, including the page number, and was then
able to translate the whole thing.  -- KIL]

------------------------------

Date: 27-NOV-85
From: PETER PIRRON  <[email-masked]>
Subject: Request - Decision Theory and Natural Language

HALLO

I am a new member in the AIList.  My name is Peter Pirron.  I am
living in Heidelberg/West Germany.  I am working as an computer
advicer for statistical problems at the Psychochological Institut.
At the moment my interests are normative decision theory and
programming of natural language.

It would be very helpful for me if you could send me references
of articles and books of these subjects.  It would also be interesting
for me to know people who work on these subjects.
I am especially interested in programs dealing with the subjects
mentioned above.

                Thank you very much in advance!!!
                          Peter Pirron ([email-masked])

------------------------------

Date: Wed, 4 Dec 85 13:25 PST
From: "Watson Mark%SAI.MFENET"@LLL-MFE.ARPA
Subject: SMALLTALK, LISP, DISTRIBUTED COMPUTING, APPLETALK, MACINTOSH

Date: 12/4/85
FROM: WATSON#M%SAI@LLL-MFE
Subject: Lisp and Smalltalk on the Macintosh

In response to Fabio Favata's request for a public domain
version of the Smalltalk language, I would suggest contacting
Apple Computer Inc.  Apple has made the original Xerox Smalltalk
language available on the Macintosh for $50 (for 7 disks!!).
The Smalltalk system runs on a 512K Mac.  To order Smalltalk,
call 1 408 747-1288 and ask for Paula.

I would like to hear from anyone attempting to use the Appletalk
network to build testbed distributed computing systems.  The
Appletalk network has a fairly low bandwidth (.25 megabits/sec),
but the availability of two good symbolic programming languages
on the Mac (Smalltalk and ExperLisp) would provide a very low
cost system for software development.  I can be reached at
1 619 456-6816.  - Mark Watson

------------------------------

Date: Wednesday, December 4, 1985  17:11:12
From: snyder@hplabsd
Subject: Object-Oriented Programming in Lisp

  From: Nick Davies (at GEC Research) <[email-masked]>
  Subject: Object oriented programming in Common Lisp

  > Does anyone have or know of an implementation of Flavors or any other
  > object-oriented programming system in Common Lisp ?

Hewlett-Packard has developed an object-oriented extension to Common Lisp,
which we are proposing as a candidate for standardization.  Our extension is
similar in syntax to Flavors, but is stricter in its support of encapsulation.
Like Common Lisp itself, our extension has been designed to serve as a common
language subset for object-oriented programming (in Common Lisp).  It also has
been designed to permit a very efficient implementation, even on conventional
hardware.

At Hewlett-Packard, we have been using object-oriented programming in Lisp for
many years.  The Common Lisp version of our objects dialect has been in use
since last February.  Our AI workstation software, which was demonstrated at
IJCAI in August, uses object-oriented programming heavily in its extensible
user interface, and in applications.  For example, the configuration I am
running contains 132 class definitions.  The object-oriented extensions will
be included in our forthcoming Common Lisp development product for HP Series
300 workstations (68020 based).

To receive a copy of a memo describing our Common Lisp object-oriented
extensions, send your U.S. mail address to [email-masked]
and ask for ATC-85-1, "Object-Oriented Programming for Common Lisp".

  Alan Snyder

------------------------------

Date: Wed, 27 Nov 85 11:39:39 mst
From: [email-masked]
Subject: expert systems move on

TI just distributed a marketing flyer in which they described
expert systems AT WORK TODAY (original emphasis) solving problems
like:

        ...
        credit approval
        ...
        policy and procedure administration

It seems that the marketing folks at TI haven't heard about
the discussions recently on the digest about how artificial
empathy will be required to properly implement these sorts of
applications.

------------------------------

Date: Wed, 27 Nov 85 18:23:01 CST
From: [email-masked] (Uday S. Reddy)
Subject: Type checking

I do not see why it would be easier to locate "type errors" (errors
detectable by a type checker) than other kinds of errors.  The effects of
errors get propagated the same way and their symptoms are exhibited the same
way.  My experience with programming in LISP was that I was indeed spending
an inordinate amount of time locating errors that could have been detected
by a type checker.

The real advantage of a type checker is that it not only detects type
errors, but also locates them.  While detection can be done by run time
type checking, location is not done.

------------------------------

End of AIList Digest
********************